#!/usr/bin/bash

if ! [ "${UID}" = 0 ]; then
  echo "Please use sudo"
  exit 1
fi

f="/etc/sudoers.d/10-common
  /etc/bash/bashrc.d/xbps-aliase.sh
  /etc/bash/bashrc.d/editor.sh
  /usr/lib/udev/rules.d/99-mount-media.rules
  /usr/lib/udev/rules.d/99-ioschedulers.rules
  /etc/btrbk/btrbk.conf.void
  /etc/xbps.d/50-no-extract.conf
  /etc/default/grub-btrfs/void.conf
  /etc/NetworkManager/conf.d/unmanaged-wg.conf
  /etc/NetworkManager/conf.d/unmanaged-tun.conf
  /etc/NetworkManager/dispatcher.d/30-wg0
  /etc/profile.d/zz-append-path.sh
  /etc/skel/gpg-agent.conf
  /bin/joinvpn
  /bin/void-update
  /bin/void-backup
  /bin/void-snapshot
  /bin/void-createbackupcontainer
  /bin/pinentry-chooser
  /bin/change_luks_pw
  /bin/helpme
  /usr/share/X11/xorg.conf.d/10-keyboard.conf
  /etc/X11/xinit/xinitrc.d/dbus-launch.sh
  /etc/fonts/conf.d/70-no-bitmaps.conf"


for file in ${f}; do
  cp "${file}" "${file}.bu"
done

rm -f "/etc/xbps.d/*rotce*"

xbps-remove -y distr0

mkdir -p /var/lib/backup/ziel
mkdir -p /var/lib/backup/quelle/bootfs
mkdir -p /var/lib/backup/quelle/rootfs

for file2 in ${f}; do
  mv "${file2}.bu" "${file2}"
  rm -f "${file2}.new*"
done

xbps-pkgdb -m manual void-repo-multilib void-repo-multilib-nonfree \
 void-repo-nonfree lvm2 cronie socklog-void ntp xtools \
 wireguard-tools gnupg2 progress pwgen net-tools ncdu \
 nmap mtr iotop hdparm smartmontools htop git neovim \
 btrbk croc grub-btrfs nano mbuffer noto-fonts-emoji
 
rm -f /usr/bin/remover.sh
